Bug 256082 - www/py-werkzeug: Fails to configure on Python 3.6: ModuleNotFoundError: No module named 'dataclasses'
Summary: www/py-werkzeug: Fails to configure on Python 3.6: ModuleNotFoundError: No mo...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Dima Panov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-05-22 13:37 UTC by John W. O'Brien
Modified: 2021-06-01 01:27 UTC (History)
2 users (show)

See Also:
koobs: maintainer-feedback+
fluffy: merge-quarterly-


Attachments
www/py-werkzeug: Poudriere configure log (2.81 KB, text/plain)
2021-05-22 13:37 UTC, John W. O'Brien
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description John W. O'Brien 2021-05-22 13:37:50 UTC
Created attachment 225173 [details]
www/py-werkzeug: Poudriere configure log

Werkzeug supports Python 3.6 and later [0], but it depends on the third-party dataclasses package for Python earlier than 3.7 [1], when dataclasses was added to the standard library.

[0] https://github.com/pallets/werkzeug/blob/2.0.0/setup.cfg#L38
[1] https://github.com/pallets/werkzeug/blob/2.0.0/setup.py#L6
Comment 1 John W. O'Brien 2021-05-30 21:35:44 UTC
This is resolved by 

commit f1b3354553cf451bb19feda2787d900162b6e936
Author: Po-Chuan Hsieh <sunpoet@FreeBSD.org>
Date:   Sat May 22 22:43:05 2021 +0800

    www/py-werkzeug: Update to 2.0.1

    Changes:        https://github.com/pallets/werkzeug/releases

https://cgit.freebsd.org/ports/commit/?id=f1b3354553cf451bb19feda2787d900162b6e936

and

commit 4aedd48f96fbd2a8339cb24837efe8e36250862c
Author: Dima Panov <fluffy@FreeBSD.org>
Date:   Mon May 24 12:03:34 2021 +1000

    www/py-werkzeug: py-dataclasses should be in BUILD_DEPENDS too for use with python36

    Noticed by:     poudriere failure
    Pointy hat to:  sunpoet@

https://cgit.freebsd.org/ports/commit/?id=4aedd48f96fbd2a8339cb24837efe8e36250862c
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2021-05-31 02:26:15 UTC
^Triage: Assign to committer resolving.

Is quarterly affected? If not, set merge-quarterly to -, else merge, set flag and close thank you!
Comment 3 Dima Panov freebsd_committer 2021-05-31 04:53:55 UTC
@koobs: quarterly is not affected, it still keeps Werkzeug-1.0.1

Closed, thanks.
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2021-06-01 01:27:39 UTC
^Triage: Correct resolution (fixed, by way of commit)